ProyectoCrm/src/app/Modulos/PedidoModulo/Paginas/fw-pedidos/fw-pedidos.page.html

<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
  <h5>{{ tTitulo }}</h5>
</div>
<div class="row">
  <div class="col-12">
    <div class="form-row">
      <div class="ContenedorOrdenes">
        <div class="form-row">
          <div class="form-group col-12 d-flex justify-content-center bg-light rounded">
            <ul class="nav mt-1 mb-1">
              <li class="nav-item">
                <button class="btn btn-link" type="button" [ngClass]="{'disabled': tMostrarOrdenes === true }" (click)="MostrarOrdenes()"><span class="badge badge-danger mr-1">{{tOrdenes.length}}</span><span class="text-xs">Ordenes</span></button>
              </li>
              <li class="nav-item">
                <button class="btn btn-link" type="button" [ngClass]="{'disabled': tMostrarPreOrdenes === true }" (click)="MostrarPreOrdenes()"><span class="badge badge-danger mr-1">{{tPreordenes.length}}</span><span class="text-xs">Pre-Ordenes</span></button>
              </li>
              <li class="nav-item">
                <button class="btn btn-link" type="button" [ngClass]="{'disabled': tMostrarMisOrdenes === true }" (click)="MostrarMisOrdenes()"><span class="badge badge-danger mr-1">{{tMisOrdenes.length}}</span><span class="text-xs">Mis ordenes</span></button>
              </li>
            </ul>
          </div>
        </div>
        <div class="form-row" *ngIf="tMostrarOrdenes === true">
          <div class="form-group col-12">
            <app-fw-pedidos-listado [Pedidos]="tOrdenes" (Seleccionar)="Seleccionar($event)"></app-fw-pedidos-listado>
          </div>
        </div>
        <div class="form-row" *ngIf="tMostrarPreOrdenes === true">
          <div class="form-group col-12">
            <app-fw-pedidos-listado [Pedidos]="tPreordenes" (Seleccionar)="Seleccionar($event)"></app-fw-pedidos-listado>
          </div>
        </div>
        <div class="form-row" *ngIf="tMostrarMisOrdenes === true">
          <div class="form-group col-12">
            <app-fw-pedidos-listado [Pedidos]="tMisOrdenes" (Seleccionar)="Seleccionar($event)"></app-fw-pedidos-listado>
          </div>
        </div>
      </div>
      <div class="ContenedorOrden">
        <app-fw-pedidos-datos [Cliente]="tClienteActual" [Pedido]="tClientePedidoActual" [Empresa]="tEmpresaActual" (Seleccionar)="ModalClientes($event)"></app-fw-pedidos-datos>
        <div class="form-row">
          <div class="form-group col-12">
            <ul class="nav nav-tabs" role="tablist">
              <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Articulos" role="tab" aria-controls="Articulos" aria-selected="true" id="Articulos-tab">Artículos</a></li>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Cupones" role="tab" aria-controls="Cupones" aria-selected="true" id="Cupones-tab">Cupones</a></li>
              <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Colecciones" role="tab" aria-controls="Colecciones" aria-selected="true" id="Colecciones-tab">Colecciones</a></li>
            </ul>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="tab-content" id="mvDatos">
              <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Articulos-tab" id="Articulos">
                <app-fw-pedidos-articulos [Cliente]="tClienteActual" [(Pedido)]="tClientePedidoActual" [Empresa]="tEmpresaActual" (BuscarPedido)="Buscar_Pedido($event)" (ModificarArticulo)="ModificarArticulo($event)" (EliminarArticulo)="EliminarArticulo($event)"></app-fw-pedidos-articulos>
              </div>
              <div class="tab-pane fade" role="tabpanel" aria-labelledby="Cupones-tab" id="Cupones">
                <app-fw-pedidos-cupones></app-fw-pedidos-cupones>
              </div>
              <div class="tab-pane fade" role="tabpanel" aria-labelledby="Colecciones-tab" id="Colecciones">
                <app-fw-pedidos-colecciones [Cliente]="tClienteActual" [(Pedido)]="tClientePedidoActual" [Empresa]="tEmpresaActual" (BuscarPedido)="Buscar_Pedido($event)"></app-fw-pedidos-colecciones>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 text-right">
            <button class="btn btn-secondary btn-icon-split mr-2" type="button" (click)="Cancelar()"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Limpiar</span></button>
            <button class="btn btn-danger btn-icon-split ml-2 mr-2" type="button" (click)="Anular()"><span class="icon text-white-50"><i class="fas fa-trash-alt"></i></span><span class="text">Anular</span></button>
            <button class="btn btn-primary btn-icon-split ml-2 mr-2" type="button" *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' &amp;&amp; tClientePedidoActual.Estatus === 'CERRADO'" (click)="Aprobar()"><span class="icon text-white-50"><i class="fas fa-handshake"></i></span><span class="text">Aprobar</span></button>
            <button class="btn btn-primary btn-icon-split ml-2 mr-2" type="button" *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' &amp;&amp; tClientePedidoActual.Estatus === 'ACTIVO'" (click)="Cerrar()"><span class="icon text-white-50"><i class="fas fa-door-closed"></i></span><span class="text">Cerrar</span></button>
            <button class="btn btn-primary btn-icon-split ml-2" type="button" *ngIf="tClientePedidoActual.Tipo === 'ORDEN'" (click)="AbrirModalFacturacion()"><span class="icon text-white-50"><i class="fas fa-handshake"></i></span><span class="text">Facturar</span></button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/PedidoModulo/Paginas/fw-pedidos/fw-pedidos.page.pug
extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
  - var Titulo = "{{ tTitulo }}"

block contenido
  div.form-row
    div.ContenedorOrdenes
      div.form-row
        div.form-group.col-12.d-flex.justify-content-center.bg-light.rounded
          ul.nav.mt-1.mb-1
            li.nav-item
              button(type="button",
                    [ngClass]="{'disabled': tMostrarOrdenes === true }",
                    (click)="MostrarOrdenes()").btn.btn-link
                span.badge.badge-danger.mr-1 {{tOrdenes.length}}
                span.text-xs Ordenes
            li.nav-item
              button(type="button",
                    [ngClass]="{'disabled': tMostrarPreOrdenes === true }",
                    (click)="MostrarPreOrdenes()").btn.btn-link
                span.badge.badge-danger.mr-1 {{tPreordenes.length}}
                span.text-xs Pre-Ordenes
            li.nav-item
              button(type="button",
                    [ngClass]="{'disabled': tMostrarMisOrdenes === true }",
                    (click)="MostrarMisOrdenes()").btn.btn-link
                span.badge.badge-danger.mr-1 {{tMisOrdenes.length}}
                span.text-xs Mis ordenes
      div(*ngIf="tMostrarOrdenes === true").form-row
        div.form-group.col-12
          app-fw-pedidos-listado([Pedidos]="tOrdenes",
                                (Seleccionar)="Seleccionar($event)")
      div(*ngIf="tMostrarPreOrdenes === true").form-row
        div.form-group.col-12
          app-fw-pedidos-listado([Pedidos]="tPreordenes",
                                (Seleccionar)="Seleccionar($event)")
      div(*ngIf="tMostrarMisOrdenes === true").form-row
        div.form-group.col-12
          app-fw-pedidos-listado([Pedidos]="tMisOrdenes",
                                (Seleccionar)="Seleccionar($event)")
    div.ContenedorOrden
      app-fw-pedidos-datos([Cliente]="tClienteActual",
                            [Pedido]="tClientePedidoActual",
                            [Empresa]="tEmpresaActual",
                            (Seleccionar)="ModalClientes($event)")
      div.form-row
        div.form-group.col-12
          ul(role="tablist").nav.nav-tabs
            li.nav-item
              a(data-toggle="tab",
                  href="#Articulos",
                  role="tab",
                  aria-controls="Articulos",
                  aria-selected="true")#Articulos-tab.nav-link.active Artículos
            li.nav-item
              a(data-toggle="tab",
                  href="#Cupones",
                  role="tab",
                  aria-controls="Cupones",
                  aria-selected="true")#Cupones-tab.nav-link Cupones
            li.nav-item
              a(data-toggle="tab",
                  href="#Colecciones",
                  role="tab",
                  aria-controls="Colecciones",
                  aria-selected="true")#Colecciones-tab.nav-link Colecciones
      div.form-row
        div.form-group.col-12
          div.tab-content#mvDatos
            div(role="tabpanel", aria-labelledby="Articulos-tab").tab-pane.fade.show.active#Articulos
              app-fw-pedidos-articulos([Cliente]="tClienteActual",
                                      [(Pedido)]="tClientePedidoActual",
                                      [Empresa]="tEmpresaActual",
                                      (BuscarPedido)="Buscar_Pedido($event)",
                                      (ModificarArticulo)="ModificarArticulo($event)",
                                      (EliminarArticulo)="EliminarArticulo($event)")
            div(role="tabpanel", aria-labelledby="Cupones-tab").tab-pane.fade#Cupones
              app-fw-pedidos-cupones
            div(role="tabpanel", aria-labelledby="Colecciones-tab").tab-pane.fade#Colecciones
              app-fw-pedidos-colecciones([Cliente]="tClienteActual",
                                        [(Pedido)]="tClientePedidoActual",
                                        [Empresa]="tEmpresaActual",
                                        (BuscarPedido)="Buscar_Pedido($event)")
      div.form-row
        div.form-group.col-12.text-right
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split.mr-2
            span.icon.text-white-50
              i.fas.fa-times
            span.text Limpiar
          button(type="button", (click)="Anular()").btn.btn-danger.btn-icon-split.ml-2.mr-2
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Anular
          button(type="button",
                *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' && tClientePedidoActual.Estatus === 'CERRADO'",
                (click)="Aprobar()").btn.btn-primary.btn-icon-split.ml-2.mr-2
            span.icon.text-white-50
              i.fas.fa-handshake
            span.text Aprobar
          button(type="button",
                *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' && tClientePedidoActual.Estatus === 'ACTIVO'",
                (click)="Cerrar()").btn.btn-primary.btn-icon-split.ml-2.mr-2
            span.icon.text-white-50
              i.fas.fa-door-closed
            span.text Cerrar
          button(type="button",
                *ngIf="tClientePedidoActual.Tipo === 'ORDEN'",
                (click)="AbrirModalFacturacion()").btn.btn-primary.btn-icon-split.ml-2
            span.icon.text-white-50
              i.fas.fa-handshake
            span.text Facturar
